<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountId-invoicesInfo-invoiceId%3AGET</id>
		<title>Accounts-accountId-invoicesInfo-invoiceId:GET - Revision history</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountId-invoicesInfo-invoiceId%3AGET"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountId-invoicesInfo-invoiceId:GET&amp;action=history"/>
		<updated>2026-05-18T09:09:38Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountId-invoicesInfo-invoiceId:GET&amp;diff=1328&amp;oldid=prev</id>
		<title>Mike.robski: 1 revision: Release 95</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountId-invoicesInfo-invoiceId:GET&amp;diff=1328&amp;oldid=prev"/>
				<updated>2014-07-02T05:58:01Z</updated>
		
		<summary type="html">&lt;p&gt;1 revision: Release 95&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
		&lt;tr valign='top'&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 05:58, 2 July 2014&lt;/td&gt;
		&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Mike.robski</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountId-invoicesInfo-invoiceId:GET&amp;diff=1327&amp;oldid=prev</id>
		<title>Velimira.metodieva: /* GET invoice */</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountId-invoicesInfo-invoiceId:GET&amp;diff=1327&amp;oldid=prev"/>
				<updated>2014-06-13T14:28:00Z</updated>
		
		<summary type="html">&lt;p&gt;&lt;span class=&quot;autocomment&quot;&gt;GET invoice&lt;/span&gt;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;= GET /accounts/''{accountId}''/invoces/''{invoiceId}'' =&lt;br /&gt;
Retrieves an individual invoice.&lt;br /&gt;
__TOC__&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/''{accountId}''/invoces/''{invoiceId}''&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; accountId - ''string''&lt;br /&gt;
: The Id of the account.&lt;br /&gt;
&lt;br /&gt;
; invoiceId - ''string''&lt;br /&gt;
: The Id of the invoice.&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
; Accept - ''HTTP Accept header. Possible values are application/json, application/pdf. If omitted json will be returned'' [http://www.w3.org/Protocols/rfc2616/rfc2616-sec14.html#sec14.1]&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
;200 OK&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
;401 Unauthorized&lt;br /&gt;
: The supplied credentials are invalid or do not provide permissions for this operation.&lt;br /&gt;
&lt;br /&gt;
;403 Forbidden&lt;br /&gt;
: The user lacks the necessary permissions to access the resource&lt;br /&gt;
&lt;br /&gt;
;404 Not Found&lt;br /&gt;
: The account or invoice was not found&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;status&amp;quot;: &amp;quot;{status}&amp;quot;,&lt;br /&gt;
    &amp;quot;currency&amp;quot;: &amp;quot;{currency}&amp;quot;,&lt;br /&gt;
    &amp;quot;amount&amp;quot;: &amp;quot;{amount}&amp;quot;,&lt;br /&gt;
    &amp;quot;amountDue&amp;quot;: &amp;quot;{amountDue}&amp;quot;,&lt;br /&gt;
    &amp;quot;description&amp;quot;: &amp;quot;{description}&amp;quot;,&lt;br /&gt;
    &amp;quot;links&amp;quot;: [{&lt;br /&gt;
        &amp;quot;href&amp;quot;: &amp;quot;https://api.hostway.com/accounts/{accountId}/invoices/{invoiceId}/&amp;quot;,&lt;br /&gt;
        &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
    }],&lt;br /&gt;
    &amp;quot;date&amp;quot;: &amp;quot;{date}&amp;quot;,&lt;br /&gt;
    &amp;quot;statusName&amp;quot;: &amp;quot;{statusName}&amp;quot;,&lt;br /&gt;
    &amp;quot;invoiceNumber&amp;quot;: &amp;quot;{invoiceNumber}&amp;quot;&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; status - ''string''&lt;br /&gt;
: Status of invoice&lt;br /&gt;
&lt;br /&gt;
; currency - ''string''&lt;br /&gt;
: Currency of invoice&lt;br /&gt;
&lt;br /&gt;
; ammount - ''string''&lt;br /&gt;
: Amount of invoice&lt;br /&gt;
&lt;br /&gt;
; amountDue - ''string''&lt;br /&gt;
: Amount due of invoice&lt;br /&gt;
&lt;br /&gt;
; description - ''string''&lt;br /&gt;
: Description of invoice&lt;br /&gt;
&lt;br /&gt;
; date - ''string''&lt;br /&gt;
: Date of invoice&lt;br /&gt;
&lt;br /&gt;
; statusName - ''string''&lt;br /&gt;
: Status of invoice&lt;br /&gt;
&lt;br /&gt;
; invoiceNumber - ''string''&lt;br /&gt;
: Invoice number&lt;br /&gt;
&lt;br /&gt;
; links - ''list''&lt;br /&gt;
: [[Hypermedia]] for this resource. Links to self&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== GET invoice ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
&lt;br /&gt;
&amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET {{APIBaseURL}}/accounts/test731993/invoices/123456&lt;br /&gt;
&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 '''HTTP/1.1 200 OK'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;status&amp;quot;: &amp;quot;invoice_paid&amp;quot;, &lt;br /&gt;
    &amp;quot;currency&amp;quot;: &amp;quot;USD&amp;quot;, &lt;br /&gt;
    &amp;quot;amount&amp;quot;: &amp;quot;1113.7500&amp;quot;, &lt;br /&gt;
    &amp;quot;amountDue&amp;quot;: &amp;quot;0.0000&amp;quot;, &lt;br /&gt;
    &amp;quot;description&amp;quot;: &amp;quot;Invoice #123456&amp;quot;, &lt;br /&gt;
    &amp;quot;links&amp;quot;: [&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test731993/invoices/123456/&amp;quot;, &lt;br /&gt;
            &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
        }&lt;br /&gt;
    ], &lt;br /&gt;
    &amp;quot;date&amp;quot;: &amp;quot;2011-11-10&amp;quot;, &lt;br /&gt;
    &amp;quot;statusName&amp;quot;: &amp;quot;Invoice Paid&amp;quot;, &lt;br /&gt;
    &amp;quot;invoiceNumber&amp;quot;: &amp;quot;123456&amp;quot;&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== GET invoice PDF ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
&lt;br /&gt;
&amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET {{APIBaseURL}}/accounts/test731993/invoices/123456&lt;br /&gt;
Accept: application/pdf&lt;br /&gt;
&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 '''HTTP/1.1 200 OK'''&lt;br /&gt;
 '''Content-Type : application/pdf'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
%PDF-1.4&lt;br /&gt;
....&lt;br /&gt;
%%EOF&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Account|Account Management API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Account Management API]]&lt;/div&gt;</summary>
		<author><name>Velimira.metodieva</name></author>	</entry>

	</feed>